import React from 'react';
import { ImageProps as RcImageProps } from 'antd/es/image';
export interface ImageProps extends Omit<RcImageProps, 'preview' | 'onClick'> {
    preview?: boolean;
    delete?: boolean;
    delConfirm?: boolean;
    disabled?: boolean;
    size?: 'small' | 'default';
    onDelete?: () => void;
}
declare const InternalImage: React.FC<ImageProps>;
declare type ImageType = typeof InternalImage;
interface ImageInterface extends ImageType {
    PLACEHOLDER: string;
    FALLBACK: string;
}
declare const Image: ImageInterface;
export { Image };
export default Image;
